升级到Android Studio 2.3后,“包android.support.multidex不存在”

我昨天从Android Studio 2.2.3更新到Android Studio 2.3,并遇到以下两个问题:

我无法解决这个错误。 我有buildToolsVersion '25.0.2' ,我的项目编译并正确运行,然后升级到Android Studio 2.3。 任何人都可以帮我解决这个问题吗?

我已经通过了这个build筑。 我的解决scheme是在build.gradle中添加显式的依赖关系。 compile 'com.android.support:multidex:1.0.1'

解决此问题的方法是添加以下内容:

 dependencies { compile 'com.android.support:multidex:1.0.1' } 

在你的build.gradle文件中。

这在Gradle 3.3之前并不需要。 对于支持低于棒棒糖(API级别21)的Android版本的应用程序,只会出现此问题。

参考文献:

1. Android 5.0之前的Multidex支持